=== debian/changelog ===
libdfp (1.0.17-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Closes: ##1077413.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 13 Dec 2025 16:52:16 +0100
