=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

DERIVATIVE := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
                elif dpkg-vendor --derives-from Debian; then echo Debian; \
                else echo Unknown; fi)

ifeq ($(DERIVATIVE),Ubuntu)
  ifeq ($(DEB_HOST_ARCH),ppc64el)
	cpu = --with-cpu=power9
  else ifeq ($(DEB_HOST_ARCH),s390x)
	cpu = --with-cpu=z15
  endif
else # Debian
  ifeq ($(DEB_HOST_ARCH),ppc64el)
	cpu = --with-cpu=power8
  else ifeq ($(DEB_HOST_ARCH),s390x)
	cpu = --with-cpu=zEC12
  endif
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-decimal-float=yes $(cpu)
